unit DtReg97;

(******************************************************************************
DatePack - Version 4.5

TDateEdit97     - Date Edit component with drop-down calendar.
TDbDateEdit97   - Same as tDateEdit97, but data-aware version.
TDateFromTo97   - Panel with DateFrom and DateTo fields.
TCalendar97     - Calendar component.
TDateProperty97 - Property editor for Date Fields.

*******************************************************************************
Author name=BOURMAD Mehdi
Author E-mail=bourmad@multimania.com
Author URL=www.multimania.com/bourmad
******************************************************************************)

{If you have problems with these lines, remove them and mail me
 which compiler you have. I will correct it for future versions}
{$IFDEF WIN32} {Only for 32 bits compilers}
  {$IFNDEF VER90} {Doesn't works with Delphi 2}
    {$IFNDEF VER100} {Doesn't works with Delphi 3}
      {$ObjExportAll On} {export all objects (for C++Builder 3.0)}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

interface

uses
   Classes, DsgnIntf;

Procedure Register;

implementation

{$IFNDEF WIN32}
  {$R *.D16}
{$ELSE}
  {$R *.D32}
{$ENDIF}

uses
  DtEdit97,
  DtEdFT97,
  DtEdDB97,
  DtCal97,
  DtCaDB97,
  DtMisc97,
  DtProp97;

procedure Register;

begin
  RegisterComponents('BmSuite', [TCalendar97]);
  RegisterComponents('BmSuite', [TDBCalendar97]);
  RegisterComponents('BmSuite', [TDateEdit97]);
  RegisterComponents('BmSuite', [TDbDateEdit97]);
  RegisterComponents('BmSuite', [TDateFromTo97]);
  RegisterPropertyEditor (TypeInfo(TAboutMeProperty), TCalendar97,
                          'ABOUT', TAboutMeProperty);
  RegisterPropertyEditor (TypeInfo(TAboutMeProperty), TDateEdit97,
                          'ABOUT', TAboutMeProperty);
  RegisterPropertyEditor (TypeInfo(TAboutMeProperty), TDateFromTo97,
                          'ABOUT', TAboutMeProperty);
  RegisterPropertyEditor (TypeInfo(TDateTime), tComponent, 'DATE', TDateProperty97);

  RegisterComponentEditor(TDateEdit97, TDateEditor97);
  RegisterComponentEditor(TCalendar97, TDateEditor97);
end;

end.
